Cyberduck Mountain Duck CLI

#222 new enhancement

Delete orphan files when synchronizing

Reported by: anonymous Owned by: dkocher
Priority: high Milestone:
Component: core Version: 7.0.1
Severity: normal Keywords: delete orphan files when synchronizing
Cc: larry@… Architecture: Intel
Platform: Mac OS X 10.11

Description (last modified by korggrodno)

It would be very nice if the synchronization funcionality included an option to delete orphan files from the remote directory.

Change History (34)

comment:1 Changed on Feb 22, 2006 at 2:57:29 PM by dkocher

  • Component changed from sftp to core
  • Milestone set to 2.6
  • Priority changed from high to normal
  • Status changed from new to assigned
  • Summary changed from Delete orphan files to Delete orphan files (Synchronization)

comment:2 Changed on May 29, 2006 at 4:11:17 PM by dkocher

  • Milestone changed from 2.7 to 2.6.5

comment:3 Changed on Feb 12, 2007 at 1:45:06 PM by dkocher

  • Milestone changed from 2.8 to 2.9

Milestone 2.8 deleted

comment:4 Changed on Jan 30, 2008 at 8:02:53 PM by dkocher

  • Milestone 2.9 deleted
  • Priority changed from normal to low

comment:5 Changed on May 20, 2008 at 9:45:15 AM by anonymous

  • Keywords delete added
  • Priority changed from low to high
  • Version changed from 2.5.4 to 3.0.1

I really want this as well. It would make CyberDuck perfect for me :)

comment:6 Changed on Jul 21, 2008 at 10:32:12 PM by dkocher

  • Milestone set to 3.2

comment:7 follow-up: Changed on Nov 13, 2009 at 11:32:24 PM by dkocher

  • Milestone 3.5 deleted
  • Priority changed from high to low

comment:8 in reply to: ↑ 7 Changed on Dec 31, 2009 at 4:29:15 PM by SirCrow

Replying to dkocher:

Does this mean it's not be implemented?

Cheers SirCrow

comment:9 Changed on May 30, 2010 at 1:55:05 AM by dkocher

  • Platform set to Mac OS X 10.6

#4489 closed as duplicate.

comment:10 Changed on Nov 19, 2010 at 5:07:10 PM by dkocher

  • Resolution set to wontfix
  • Status changed from assigned to closed

comment:11 Changed on Dec 31, 2012 at 8:26:21 AM by dkocher

#7029 closed as duplicate.

comment:12 Changed on Jan 10, 2013 at 3:12:47 PM by dkocher

#7039 closed as duplicate.

comment:13 Changed on Jan 10, 2013 at 3:13:30 PM by dkocher

  • Resolution wontfix deleted
  • Status changed from closed to reopened

comment:14 Changed on Sep 25, 2013 at 9:46:48 PM by dkocher

  • Milestone set to 4.4.1

comment:15 Changed on Oct 8, 2013 at 11:03:30 AM by dkocher

  • Summary changed from Delete orphan files (Synchronization) to Delete orphan files when synchronizing

comment:16 Changed on Oct 25, 2013 at 9:33:05 AM by dkocher

  • Milestone changed from 4.4.1 to 4.5

comment:17 Changed on Jun 2, 2014 at 3:22:27 PM by dkocher

  • Milestone 4.5 deleted

comment:18 Changed on Jan 14, 2015 at 2:55:30 PM by dkocher

  • Milestone set to 4.7
  • Status changed from reopened to new

comment:19 Changed on Feb 3, 2015 at 1:44:51 PM by dkocher

#8533 closed as duplicate.

comment:20 Changed on Apr 1, 2015 at 3:09:39 PM by dkocher

  • Milestone changed from 4.7 to 4.8

comment:21 Changed on Aug 29, 2015 at 8:58:35 AM by dkocher

#8990 closed as duplicate.

comment:22 Changed on Aug 29, 2015 at 1:24:56 PM by kraemer_sg

I can't believe this has been here for 10 years. It is an essential feature of synchronisation. Makes Cyberduck not fully usable for me, I'll have to look elsewhere. Sorry, no donation without this feature possible.

comment:23 Changed on Feb 3, 2016 at 6:02:15 AM by Ich745

I can also not believe, that this feature ist not included for this long time. It is a very important feature for synchronisation. Without this, it is only a simple upload/download... Add this, please!

Last edited on Feb 3, 2016 at 9:59:35 AM by Ich745 (previous) (diff)

comment:24 Changed on Feb 16, 2016 at 3:35:22 PM by dkocher

You might be better served with Mountain Duck and then use rsync to synchronize content.

comment:25 Changed on Feb 16, 2016 at 4:50:36 PM by Ich745

Yes it is an option - when there is a support for CLI so that you can use Batch Scripts... See also #9053.

Last edited on May 31, 2016 at 6:54:47 PM by dkocher (previous) (diff)

comment:26 Changed on May 14, 2016 at 8:31:18 PM by dkocher

  • Milestone 5.0 deleted

comment:27 Changed on May 28, 2016 at 2:09:20 AM by yrralkceb

  • Architecture set to Intel
  • Cc larry@… added
  • Milestone set to 5.1
  • Platform changed from Mac OS X 10.6 to Mac OS X 10.11
  • Priority changed from low to highest
  • Version changed from 3.0.1 to 5.0

Please add this functionality to delete destination file on Windows Azure storage when the local source file is deleted. This should be a main feature of the Synchronization/Mirror feature of CyberDuck. Else, all these files that I delete are still on Azure and I have to use another file dif utility to compare directories to see what is still in the destination folder on Azure and then manually delete those files else my Azure storage continues to grow and costs me money for unnecessary storage after synchronization.

comment:28 Changed on Jun 1, 2016 at 11:55:54 AM by dkocher

  • Milestone 5.1 deleted
  • Priority changed from highest to normal

comment:29 Changed on Apr 3, 2017 at 12:10:22 PM by dkocher

#9902 closed as duplicate.

comment:30 Changed on Jul 5, 2019 at 12:49:17 PM by korggrodno

  • Description modified (diff)
  • Keywords Delete files when synchronizing added; delete removed
  • Version changed from 5.0 to 7.0.1

comment:31 Changed on Jul 5, 2019 at 12:51:09 PM by korggrodno

  • Description modified (diff)

comment:32 Changed on Jul 5, 2019 at 12:51:32 PM by korggrodno

  • Keywords delete added; Delete removed

comment:33 Changed on Jul 5, 2019 at 12:52:12 PM by korggrodno

please please please please please ...
Implement this function.
Delete remoute orphan files when upload through cyberduck CLI.
Thank you very much for your program Cyberduck CLI.
We users obediently wait since 2006.

I use "duck --longlist" key to search remoute orphan files.
I use "duck --delete" key to delete remoute orphan files .
But it is not very convenient.

Last edited on Jul 5, 2019 at 12:53:56 PM by korggrodno (previous) (diff)

comment:34 Changed on Jul 5, 2019 at 1:31:31 PM by korggrodno

  • Priority changed from normal to high
Note: See TracTickets for help on using tickets.
swiss made software